Bug 741363 - Add provides Mail_mimeDecode for the benefit
Summary: Add provides Mail_mimeDecode for the benefit
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: php-pear-Mail-Mime
Version: el5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 16:59 UTC by Greg Swallow
Modified: 2012-12-13 07:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-13 07:30:04 UTC


Attachments (Terms of Use)

Description Greg Swallow 2011-09-26 16:59:26 UTC
Description of problem:
It would be nice if the EPEL5 php-pear-Mail-Mime-1.4.0 rpm spec file would list:

Provides: php-pear(Mail_mimeDecode) = 0.0.1

so that an upgrade to php-pear-Mail-Mime >= 1.5 where mimeDecode was split to another package would pull that additional package in as a dependency.  No, this version is not possible to upgrade to in EPEL5, because of a requirement on a newer version of php-pear.  But there are lots of people using 3rd party php rpms on EL5 since the standard php is so old and the php53 packages cause issues and also don't include an upgrade to php-pear.

Version-Release number of selected component (if applicable):
php-pear-Mail-Mime-1.4.0-1.el5.noarch.rpm

Additional info:
mimeDecode.php (as part of this rpm) is required by Horde webmail.  This fix would be useful to anyone running Horde on EL5 and upgrading pear packages for other reasons or to support the next version of Horde (eg, rpms from rpms.famillecollet.com).  It wouldn't affect anyone just using the standard php-pear packages in RHEL5/EPEL5.

Comment 1 Remi Collet 2011-09-27 05:41:23 UTC
I think we can add
Provides: php-pear(Mail_mimeDecode) = %{version}

1.4.0 was the last version with mimeDecode
1.5.0 was the first version without mimeDecode, and also the first mimeDecode stable version.

I will take care of this change.

Comment 2 Fedora Update System 2012-10-24 14:43:42 UTC
php-pear-Mail-Mime-1.4.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php-pear-Mail-Mime-1.4.0-2.el5

Comment 3 Fedora Update System 2012-10-26 18:34:42 UTC
Package php-pear-Mail-Mime-1.4.0-2.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing php-pear-Mail-Mime-1.4.0-2.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13288/php-pear-Mail-Mime-1.4.0-2.el5
then log in and leave karma (feedback).


Note You need to log in before you can comment on or make changes to this bug.